# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common
# Development and Distribution License("CDDL") (collectively, the
# "License"). You may not use this file except in compliance with the
# License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html
# or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
# specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header
# Notice in each file and include the License file at
# nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that
# accompanied this code. If applicable, add the following below the
# License Header, with the fields enclosed by brackets [] replaced by
# your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# Contributor(s):
#
# The Original Software is NetBeans. The Initial Developer of the Original
# Software is Sun Microsystems, Inc. Portions Copyright 1997-2008 Sun
# Microsystems, Inc. All Rights Reserved.
#
# If you wish your version of this file to be governed by only the CDDL
# or only the GPL Version 2, indicate your decision by adding
# "[Contributor] elects to include this software in this distribution
# under the [CDDL or GPL Version 2] license." If you do not indicate a
# single choice of license, a recipient has the option to distribute
# your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above.
# However, if you add GPL Version 2 code and therefore, elected the GPL
# Version 2 license, then the option applies only if the new code is
# made subject to such option by the copyright holder.

# Loclization for the manifest-editor.mf file.

NewCndFileChooserPanelGUIz.jLabel1.text=File Name:

# copied from project/ui/Bundle
MSG_fs_or_folder_does_not_exist=The target folder does not exist.
MSG_fs_is_readonly=The target folder is read-only.
# {0} - name of the existing file
MSG_file_already_exist=The file {0} already exists.
MSG_new_extension_introduced={0} will be added to the list of extensions associated with selected type of files.
MSG_not_valid_filename=The filename {0} is not permitted as it contains {1,choice,0#a slash (/) or a backslash (\\)|1#a backslash (\\)}.
MSG_not_valid_classname=The Class Name is not valid
MSG_not_valid_formname=The Form Name is not valid
MSG_Invalid_File_Name=Invalid filename

MSG_Missing_Makefile=Makefile is not detected. Test targets will not be added to makefile.

#SimpleTargetChooserPanel
LBL_SimpleTargetChooserPanel_Name=Name and Location
LBL_NewCndFileChooserPanelGUI_NewFilePrefix=new
LBL_NewTest_NewTestPrefix=New 

LBL_TargetChooser_FileName_Label=Class &Name:
LBL_TargetChooser_Project_Label=Project:
LBL_TargetChooser_Folder_Label=Fo&lder:
LBL_TargetChooser_Browse_Button=Bro&wse...
LBL_TargetChooser_CreatedFile_Label=Created File\:
LBL_TargetChooser_Location_Label=Loca&tion:
LBL_TargetChooser_Extension_Label=&Extension:
LBL_TargetChooser_ModifiedFile_Label=Modified File:

AD_SimpleTargetChooserPanelGUI=N/A
AD_documentNameTextField=N/A
AD_projectTextField=N/A
AD_locationComboBox=N/A
AD_folderTextField=N/A
AD_browseButton=N/A
AD_fileTextField=N/A
AD_ExtensionTextField=N/A

LBL_TemplatesPanel_Name=Choose File Type

#BrowseFolders
BTN_BrowseFolders_Select_Option=&Select Folder
BTN_BrowseFolders_Cancel_Option=Cancel
ACSN_BrowseFolders_Cancel_Option=Cancel
ACSD_BrowseFolders_Cancel_Option=N/A
ACSN_BrowseFolders_Select_Option=Select Folder
ACSD_BrowseFolders_Select_Option=N/A
LBL_BrowseFolders_jLabel1=&Folders\:
LBL_BrowseFolders_Dialog=Browse Folders

ACSN_BrowseFolders_jLabel1=Folders\:
ACSN_BrowseFolders_folderPanel=Folders:
ACSD_BrowseFolders_folderPanel=The tree contains the folders contained in the project's directory

ACSN_BrowseFolders=Browse folders to choose a target folder

# {0} Display name of the group, {1} Display name of the project, 
# {2} Original name of the folder, 
FMT_PhysicalView_GroupName={1} - {0}
AD_SimpleTargetChooserPanelGUI_1=Create New File Panel

NewClassSuggestedName=newClass
NewFormSuggestedName=newForm

LBL_TargetChooser_ClassName_Label=File Name:
ACSD_SetAsDefaultCheckBox=Set this Extension as &Default
LBL_TargetChooser_HeaderFile_Label=Header File:

LBL_TargetChooser_FormName_Label=Form Name:
LBL_TargetChooser_FormType_Label=Form Type:
LBL_TargetChooser_CreateWrapperClass=Create C++ wrapper class
LBL_TargetChooser_FormFile_Label=Form File:
LBL_TargetChooser_ClassFile_Label=Class File:
LBL_Class_Creation_Source_Extension_Mnemonic=x
LBL_Class_Creation_Header_Extension_Mnemonic=t
LBL_Sorce_File_Section=Source File
LBL_Heder_File_Section=Header File
LBL_HeaderChooser_Folder_Label=Fol&der:
LBL_HeaderChooser_Browse_Button=Brow&se...
LBL_HeaderChooser_Extension_Label=E&xtension:
LBL_TargetChooser_Test_Name_Label=&Test Name:
LBL_TargetChooser_Test_File_Name_Label=Test File &Name:

TestSimpleIteratorFactoryName="Simple Test"

# I think it should not be internatialized
# I'm generating test file name from name of test
# {0} - name of the existing file
TestSuggestedName=Test for {0}
#Should not be translated
TestFileSuggestedName=test_for_{0}
